<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#000');

$wp_customize->add_setting( 'head_tagline_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'head_tagline_display', array( 'label' => 'Tagline Display', 'section' => 'title_tagline', 'settings' => 'head_tagline_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';


lzCustomLable($wp_customize, 'pages_logosetmaxwidth5', 'title_tagline', 'Set Logo Width & Height');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100%', 'luzuk-premium' )

    )
);

// logo width

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'range',
        'label'         => __( 'Width', 'luzuk-premium' )
    )
);

// logo height

$wp_customize->add_setting(
    'pages_logoTopsetmaxheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxheight',
    array(
        'settings'      => 'pages_logoTopsetmaxheight',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Height ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'header_settings', 'Logo Margin');

$wp_customize->add_setting(
    'logo_logoTmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoTmargin',
    array(
        'settings'      => 'logo_logoTmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoRmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoRmargin',
    array(
        'settings'      => 'logo_logoRmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Right', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoBmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoBmargin',
    array(
        'settings'      => 'logo_logoBmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoLmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoLmargin',
    array(
        'settings'      => 'logo_logoLmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Left', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'header_tpheader', $sectionHeader, 'Top Header');

// Address
$wp_customize->add_setting(
    'addtitl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Office Address', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'addtitl',
    array(
        'settings'      => 'addtitl',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Address Title ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'addtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Envanto HQ, Australia', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'addtxt',
    array(
        'settings'      => 'addtxt',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Address Text ', 'luzuk-premium' )
    )
);

// phone
$wp_customize->add_setting(
    'hphtitl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Phone', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'hphtitl',
    array(
        'settings'      => 'hphtitl',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Phone Title ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'hphno',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '(0) 1234-456-798', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'hphno',
    array(
        'settings'      => 'hphno',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Phone Number ', 'luzuk-premium' )
    )
);

// email
$wp_customize->add_setting(
    'emiltitl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Email', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'emiltitl',
    array(
        'settings'      => 'emiltitl',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Email Title', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'emilid',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'support@Info.Com', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'emilid',
    array(
        'settings'      => 'emilid',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Email Id', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_tpphicnClr', 'header_settings', 'Icon Color', '#24345D');

addColorPalatOption($wp_customize, 'header_tpphicnbgClr', 'header_settings', 'Icon BG Color', '#DEDEE7');

addColorPalatOption($wp_customize, 'header_tpbtnheadphnoClr', 'header_settings', 'Address , Email , Phone Title Color', '#24345D');

addColorPalatOption($wp_customize, 'header_tpbtntlephnoClr', 'header_settings', 'Address , Email , Phone Number Color', '#2D2D2D');

addColorPalatOption($wp_customize, 'header_tpbtntlephnohvClr', 'header_settings', ' Email , Phone Number Hover Color', '#FF7617');

addColorPalatOption($wp_customize, 'header_mnheabrdClr', 'header_settings', 'Header Border Color', '#24345D');

addColorPalatOption($wp_customize, 'header_mnheabgClr', 'header_settings', 'Main Header BG Color', '#fff');

lzCustomLable($wp_customize, 'luzuk_sliderover', 'header_settings', 'Menu Bg Overlay & Opacity');

$wp_customize->add_setting(
    'menu_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.9', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'menu_areaOpacity',
    array(
        'settings'      => 'menu_areaOpacity',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'menu_olybgclr', 'header_settings', 'Menu BG Color ', '#24345D');

lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Color');


addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenusbrdClr', 'header_settings', 'Menus Border Color', '#4e5c81');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#FF7617');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#FF7617');

//addColorPalatOption($wp_customize, 'header_topmenusactivebrdClr', 'header_settings', 'Active Menus Border Color', '#C69453');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenusbrdclr', 'header_settings', 'Header Sub Menus Border Color', '#f1f1f1');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#FF7617');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');
// 
lzCustomLable($wp_customize, 'search_fm_clr', 'header_settings', 'Search Form Setting');

addColorPalatOption($wp_customize, 'hdr_serchfmbgClr', 'header_settings', 'Search Form BG Color', '#fff');

addColorPalatOption($wp_customize, 'hdr_serchfmbrdClr', 'header_settings', 'Search Form Border Color', '#FF7617');

addColorPalatOption($wp_customize, 'hdr_serchfmtxtClr', 'header_settings', 'Search Form Text Color', '#b7b7b5');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnicnClr', 'header_settings', 'Search Form Button Icon Color', '#24345D');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnbgClr', 'header_settings', 'Search Form Button BG Color', '#e7ecef');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnbghvClr', 'header_settings', 'Search Form Button BG Hover Color', '#FF7617');
// 
lzCustomLable($wp_customize, 'shop_button_displaylabel', 'header_settings', 'Shopping Cart Display Setting');
// to show & hide another button
$wp_customize->add_setting( 'shop_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'shop_button_display', array( 'label' => 'Shopping Cart Display', 'section' => 'header_settings', 'settings' => 'shop_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 

addColorPalatOption($wp_customize, 'hdr_carticonClr', 'header_settings', 'Cart Icon Color', '#fff');

addColorPalatOption($wp_customize, 'hdr_cartnumberClr', 'header_settings', 'Cart Number Color', '#24345D');

addColorPalatOption($wp_customize, 'hdr_cartnumberBGClr', 'header_settings', 'Cart Number BG Color', '#FF7617');


lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Header BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_topheadcrticnclr', 'header_settings', 'Header Cart Icon Color', '#24345D');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#000');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenutitleColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenutitlebgColor', 'header_settings', 'Menus Title BG Color', '#D5D5D8');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#FF7617');

addColorPalatOption($wp_customize, 'header_socilbgClr', 'header_settings', 'Social Icon BG Color', '#000');

// 

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );

    $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 


$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title Color', '#fff');


// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Inner Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

$wp_customize->add_setting('luzuk_premium_blog_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_blog_section_lbl',
        array(
            'settings'      => 'luzuk_premium_blog_section_lbl',
            'section'       => 'luzuk_blogpage_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#4a4947', get_template_directory_uri().'/images/default.png', 'img');


lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

// lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

// $wp_customize->add_setting(
//     'sec_bottomareaTmargin', 
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '8px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'sec_bottomareaTmargin',
//     array(
//         'settings'      => 'sec_bottomareaTmargin',
//         'section'       => 'footer_area',
//         'type'          => 'text',
//         'label'         => __( 'Top', 'luzuk-premium' )
//     )
// );

// $wp_customize->add_setting(
//     'sec_bottomareabottommargin',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '8px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'sec_bottomareabottommargin',
//     array(
//         'settings'      => 'sec_bottomareabottommargin',
//         'section'       => 'footer_area',
//         'type'          => 'text',
//         'label'         => __( 'Bottom', 'luzuk-premium' )
//     )
// );

// lzCustomLable($wp_customize, 'footerarea_conwidth', 'footer_area', 'Footer Width ');

// $wp_customize->add_setting('footer_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
// $wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'footer_c_width', array(
//     'label'    => __( '', 'luzuk' ),
//     'section'  => 'footer_area', // Replace with your actual section ID
//     'settings' => 'footer_c_width',
//     'choices'=>array(
//        'container' => 'Box Width',
//        'container-fluid' => 'Full Width',
       
//     )
// ) ) );

lzCustomLable($wp_customize, 'footerarea_bx1', 'footer_area', 'Footer Box 1 ');

$wp_customize->add_setting(
    'fimg1_box',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'fimg1_box',
        array(
            'settings'      => 'fimg1_box',
            'section'       => 'footer_area',
            'label'         => __( 'Logo Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'fimg1',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'fimg1',
        array(
            'section' => 'footer_area',
            'settings' => 'fimg1',
            'description' => __('Recommended Image Size: 150X60', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
    'f1txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There Are Many Variations Of Passages Of Lorem Ipsum Available, But The Majority Have Suffered Alteration In Slightly Believable.', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'f1txt',
    array(
        'settings'      => 'f1txt',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Footer Box Text', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'footerbx1_txtclr', 'footer_area', 'Text Color', '#24345D');
addColorPalatOption($wp_customize, 'footerbx1_bgclr', 'footer_area', 'Box 1 BG Color', '#fff');

// social media

lzCustomLable($wp_customize, 'footermedi', 'footer_area', 'Social Media');

// Twitter
$wp_customize->add_setting('f_twitt',array('default'=> 'https://twitter.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('f_twitt',
    array(
        'settings'      => 'f_twitt',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

// Instagram
$wp_customize->add_setting('f_insta',array('default'=> 'https://instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('f_insta',
    array(
        'settings'      => 'f_insta',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('f_lin', array('default'=> 'https://linkedin.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('f_lin',
    array(
        'settings'      => 'f_lin',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'luzuk-premium' )
    )
);

// FACEBOOK 
$wp_customize->add_setting('f_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('f_fb',
    array(
        'settings'      => 'f_fb',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);
// *****

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '- Electrician All Rights Reserved -', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);



addColorPalatOption($wp_customize, 'footerarea_copytxtclr', 'footer_area', 'CopyRight Text Color', '#fff');

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerbx2_bgclr', 'footer_area', 'Box 2 BG Color', '#24345D');

addColorPalatOption($wp_customize, 'footerbx2_brdclr', 'footer_area', 'Box 2 Border Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#24345D');

addColorPalatOption($wp_customize, 'footerarea_titlebgclr', 'footer_area', 'Title BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_titlebrdclr', 'footer_area', 'Title Border Color', '#FF7617');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_icon_color', 'footer_area', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconBG_clr', 'footer_area', 'Social Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#24345D');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon Hover Color', '#FF7617');

//addColorPalatOption($wp_customize, 'footerarea_menuicn_color', 'footer_area', 'Menu Icon Color', '#FFD159');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_menuhover_clr', 'footer_area', 'Menu Hover Color', '#FF7617');

addColorPalatOption($wp_customize, 'footerarea_activemenu_clr', 'footer_area', 'Active Menu Color', '#FF7617');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#000');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#333');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbrd_clr', 'footer_area', 'Form Button BG Hover Color', '#FF7617');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);


    $wp_customize->add_setting('luzuk_premium_colorsetting_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_colorsetting_section_lbl',
        array(
            'settings'      => 'luzuk_premium_colorsetting_section_lbl',
            'section'       => 'luzuk_innerpageshortcode_page_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

 $wp_customize->add_setting('luzuk_premium_innerpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpage_section_lbl',
            'section'       => 'luzuk_innerpagefont_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);